man(8)

NAME
pkgos-parse-requirements - output list of project requirements

SYNOPSIS
pkgos-parse-requirements [-h] [file_for_parsing]

DESCRIPTION
This utility attempts to parse an OpenStack requirements.txt file as input, and produce a list of Debian dependencies as output.

It takes the first argument as the file to parse. If this utility is called without a parameter, it will attempt to read the requirements.txt and test-requirements.txt file.

Note that this is far from perfect, and that you *WILL* need to manually check for the dependencies.

*CASES OF MANUAL EDDITING*:
Some packages should never be in the dependencies in Debian as they are
    included in Python (version 2 or 3). If you find one that is missing, just add it to the BLACK_LIST(for missing packages of Python 2) and/or the BLACK_LIST_PY3 (for missing packages of Python 3).

OPTIONS
-h  output this page

BUGS
No known bugs.

AUTHOR
Script is written by Thomas Goirand <zigo@debian.org>
Man page is written by Andrii Kroshchenko <akroshchenko@mirantis.com>